Subject: bug#43876: Emacs uses excessive memory

From: Naveed Chehrazi <[email-masked]>
Date: Fri, 9 Oct 2020 15:25:55 -0500

Hi Eli,

I use emacs to write academic papers. This means that the follow
packages/modes are generally active:

   - auctex
   - reftex
   - flyspell
   - company
   - pdf-view (using pdftools)
   - Ebib
   - Org

I often have 3 to 4 emacs window/frame open for many days. Emacs uses
normal amount of memory initially but after three or four days, the amount
of memory it has used has grown enormously. I have not changed the settings
of the garbage collector. Its current value is:

gc-cons-threshold is a variable defined in ‘C source code’.
Its value is 800000

I can run tests on my machine if you think that would be helpful.

Best regards,

Naveed

On Fri, Oct 9, 2020 at 1:58 AM Eli Zaretskii <[email-masked]> wrote:

> merge 43876 43389
> thanks
>
> > From: Naveed Chehrazi <[email-masked]>
> > Date: Thu, 8 Oct 2020 19:53:02 -0500
> >
> > I had two instances where my emacs was using an excessive amount of
> memory (once about 45GiB, and
> > once using 94GiB). I have the memory-profiler report below. It appears
> that helm package is the cause,
>
> Please disregard the profiler results: it doesn't measure memory
> consumption, not at all.
>
> What would be beneficial for this and similar bug reports (see
> bug#43389) is to describe what you are doing when memory footprint of
> the Emacs process grows significantly.  That might give some ideas
> about where to look for the culprit(s).
>
> Do you have some customizations that change gc-cons-threshold?
>